WordPress.org

Plugin Directory

Crop-Thumbnails

"Crop Thumbnails" made it easy to get exacly that specific image-detail you want to show. Crop your images the simple way.

0.9.0

  • add crop-thumbnail-button to the default attachement-screens so i could accessed better
  • change modal-dialog from thickbox to ui-dialog
  • fix the missing crop-thumbnail-button in the attachment-list-view

0.8.4

0.8.3

0.8.2

0.8.1

  • fix warning: when settings are saved

0.8.0

  • change Constant from CPT_LANG to CROP_THUMBS_LANG
  • change Constant from CPT_VERSION to CROP_THUMBS_VERSION
  • bug fix: wrong calculated scale in the cpt-crop.js (selection will again always fill the maximum space)
  • change behavior: on landscape-ratio-images the selection will be initial in the middle of the image (portrait-ratio-images stay the same - i asume that portrait-ratio images are mostly portraits)
  • add current jcrop (version v0.9.12) directly into the plugin to get rid of the subversion of cpt-crop.js for an prior version of jcrop in wordpress 3.4
  • add settings-option to display debug (js and/or data)
  • handle image-sizes with zero width or height
  • fix notices: not set variables
  • fix warnings: if an image-size is zero

0.7.2

  • bug fix: change the way the link in the featured Image-Box is set
  • languages: some adjustments

0.7.1

  • add language: brazilian portuguese (pt_br)
  • bug fix: fixes for the upcoming WordPress 3.5
  • bug fix: in crop editor, if an original image is larger than a single selected image-size, the predefined selection will now be on maximum possible size
  • bug fix: ensure that other plugins canĀ“t add styles and scripts into the crop-thumbnail-iframe

0.7.0

  • workflow-enhancement: change the way the plugin handled same image-ratios (faster editing and less warnings)
  • the image-size with the biggest dimensions now is used for the min-boundaries (jcrop)
  • if the min-boundaries (jcrop) are bigger than original image the min-boundaries turned off

0.6.0

  • add a settings link in the plugin-listing
  • add a support-author area in the settings
  • update language files
  • Fix the readme-file for correct display informations on wordpress.org
  • add screenshots for wordpress.org
  • add license.txt

0.5.0

  • Initial Version

Requires: 3.1 or higher
Compatible up to: 4.3
Last Updated: 2015-8-22
Active Installs: 8,000+

Ratings

4.5 out of 5 stars

Support

2 of 3 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,2,2 100,1,1 100,1,1
100,4,4
75,4,3
50,2,1
100,3,3
100,1,1 100,2,2
100,1,1
0,1,0
100,1,1